Skip to main content

Partial Book Depth Streams

This stream pushes limited level depth information. The "levels" indicate the number of order levels for buy and sell orders, which can be 5, 10, or 20 levels.

Request:

{
"method": "SUBSCRIPTION",
"params": [
"spot@public.limit.depth.v3.api.pb@BTCUSDT@5"
]
}

Response:

{
"channel": "spot@public.limit.depth.v3.api.pb@BTCUSDT@5",
"publiclimitdepths": {
"asksList": [ // asks: Sell orders
{
"price": "93180.18", // Price level of change
"quantity": "0.21976424" // Quantity
}
],
"bidsList": [ // bids: Buy orders
{
"price": "93179.98",
"quantity": "2.82651000"
}
],
"eventtype": "spot@public.limit.depth.v3.api.pb", // Event type
"version": "36913565463" // Version number
},
"symbol": "BTCUSDT", // Trading pair
"sendtime": 1736411838730 // Event time
}

Request Parameter: spot@public.limit.depth.v3.api.pb@<symbol>@<level>

Response Parameters:

ParameterData TypeDescription
pricestringPrice level of change
quantitystringQuantity
eventtypestringEvent type
versionstringVersion number
symbolstringTrading pair
sendtimelongEvent time